Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedgerAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedgerAuxiliary.cs	(revision 53)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedgerAuxiliary.cs	(revision 54)
@@ -2550,13 +2550,11 @@
                 {
                     case (int)DataGroup.ConstructionCosts:       // 施工費
                         if (DetailRec.JoinTitleFlg == 1) break;
+                        // ブランク行は採番しない
                         if (DetailRec.FirstString.Length == 0 && DetailRec.SecondString.Length == 0
+                            && DetailRec.CompanyName.Length == 0
                             && DetailRec.EstimatePrice == 0 && DetailRec.ExecutionAmount == 0) break;
-                        // ブランク行は採番しない
-                        if (DetailRec.FirstString.Length == 0 && DetailRec.SecondString.Length == 0 && DetailRec.CompanyName.Length == 0
-                            && DetailRec.EstimatePrice == 0 && DetailRec.ExecutionAmount == 0) break;
 
-
                         // 独立項目の場合
                         if (DetailRec.IndependentFlg == 1)
                         {
@@ -4103,6 +4101,7 @@
                 DataGridView dgv = dgvAllDisplay;
                 int PaymentBurdenCol = dgv.ColumnCount + (int)ColPayTotal.PaymentBurdens;
                 int RowLineCnt = 0;
+                string InsertSubSQL = string.Empty;
                 foreach (DataGridViewRow wrkRow in dgv.Rows)
                 {
                     RowLineCnt++;
@@ -4114,7 +4113,7 @@
                     //if (CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.GroupCount].Value) == (int)DataGroup.CurrentProfit) continue;
 
                     // データ定義
-                    ConstructionLedgerDetail work = new ConstructionLedgerDetail();
+                    //ConstructionLedgerDetail work = new ConstructionLedgerDetail();
 
                     // データセット
                     // 明細チェック
@@ -4127,13 +4126,15 @@
                     /// 項目名称・業種名称・予定金額・実行金額
                     if (CommonMotions.chkCellBlank(wrkRow.Cells[(int)GridColumn.ItemName].Value)
                     && CommonMotions.chkCellBlank(wrkRow.Cells[(int)GridColumn.TextName].Value)
+                    && CommonMotions.chkCellBlank(wrkRow.Cells[(int)GridColumn.CompanyName].Value)
                     && CommonMotions.chkCellBlank(wrkRow.Cells[(int)GridColumn.EstimatePrice].Value)
                     && CommonMotions.chkCellBlank(wrkRow.Cells[(int)GridColumn.ExecPrice].Value))
                     {
                         continue;
-                    }
+                    }  
                     if (CommonMotions.cnvString(wrkRow.Cells[(int)GridColumn.ItemName].Value).Length == 0
                     && CommonMotions.cnvString(wrkRow.Cells[(int)GridColumn.TextName].Value).Length == 0
+                    && CommonMotions.cnvString(wrkRow.Cells[(int)GridColumn.CompanyName].Value).Length == 0
                     && CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.EstimatePrice].Value) == 0
                     && CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.ExecPrice].Value) == 0)
                     {
@@ -4143,86 +4144,101 @@
                     // 空白行は処理しない
                     if (BlankLine(wrkRow.Index)) continue;
 
-                    // 工事コード
-                    work.ConstructionCode = m_ConstructionCode;
+                    // 行データ作成
+                    CreateInsertRowData(wrkRow, RowLineCnt, ref InsertSubSQL);
+                    // 2017/03/15 登録高速化のため変更
+                    //// 工事コード
+                    //work.ConstructionCode = m_ConstructionCode;
 
-                    // グループ番号
-                    work.GroupCount = CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.GroupCount].Value);
-                    // 行番号
-                    work.LineCount = RowLineCnt;
+                    //// グループ番号
+                    //work.GroupCount = CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.GroupCount].Value);
+                    //// 行番号
+                    //work.LineCount = RowLineCnt;
 
-                    // 構成キー
-                    work.ComponentCode = CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.ComponentCode].Value);
-                    // 工種キー
-                    work.ItemCode = CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.ItemCode].Value);
-                    // 項目名称
-                    work.FirstString = CommonMotions.cnvString(wrkRow.Cells[(int)GridColumn.ItemName].Value);
-                    // 工事内容
-                    work.SecondString = CommonMotions.cnvString(wrkRow.Cells[(int)GridColumn.TextName].Value);
-                    // 協力会社データタイプ
-                    work.CompanyType = CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.CompanyType].Value);
-                    // 協力会社コード
-                    work.CompanyCode = CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.CompanyCode].Value);
-                    // 協力会社名称
-                    work.CompanyName = CommonMotions.cnvString(wrkRow.Cells[(int)GridColumn.CompanyName].Value);
-                    // 積算時見積金額
-                    work.EstimatePrice = CommonMotions.cnvDouble(wrkRow.Cells[(int)GridColumn.EstimatePrice].Value);
+                    //// 構成キー
+                    //work.ComponentCode = CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.ComponentCode].Value);
+                    //// 工種キー
+                    //work.ItemCode = CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.ItemCode].Value);
+                    //// 項目名称
+                    //work.FirstString = CommonMotions.cnvString(wrkRow.Cells[(int)GridColumn.ItemName].Value);
+                    //// 工事内容
+                    //work.SecondString = CommonMotions.cnvString(wrkRow.Cells[(int)GridColumn.TextName].Value);
+                    //// 協力会社データタイプ
+                    //work.CompanyType = CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.CompanyType].Value);
+                    //// 協力会社コード
+                    //work.CompanyCode = CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.CompanyCode].Value);
+                    //// 協力会社名称
+                    //work.CompanyName = CommonMotions.cnvString(wrkRow.Cells[(int)GridColumn.CompanyName].Value);
+                    //// 積算時見積金額
+                    //work.EstimatePrice = CommonMotions.cnvDouble(wrkRow.Cells[(int)GridColumn.EstimatePrice].Value);
 
-                    // 実行金額
-                    switch (work.GroupCount)
-                    {
-                        // 14:請求金額
-                        case (int)DataGroup.BillingAmount:
-                        // 15:現在利益金額
-                        case (int)DataGroup.CurrentProfit:
-                            int TotalPoint = dgv.ColumnCount + (int)ColPayTotal.Totals;
-                            work.ExecutionAmount = CommonMotions.cnvDouble(wrkRow.Cells[TotalPoint].Value);
-                            break;
-                        default:
-                            // 1～12：普通行データ
-                            // 13:合計金額
-                            work.ExecutionAmount = CommonMotions.cnvDouble(wrkRow.Cells[(int)GridColumn.ExecPrice].Value);
-                            break;
-                    }
+                    //// 実行金額
+                    //switch (work.GroupCount)
+                    //{
+                    //    // 14:請求金額
+                    //    case (int)DataGroup.BillingAmount:
+                    //    // 15:現在利益金額
+                    //    case (int)DataGroup.CurrentProfit:
+                    //        int TotalPoint = dgv.ColumnCount + (int)ColPayTotal.Totals;
+                    //        work.ExecutionAmount = CommonMotions.cnvDouble(wrkRow.Cells[TotalPoint].Value);
+                    //        break;
+                    //    default:
+                    //        // 1～12：普通行データ
+                    //        // 13:合計金額
+                    //        work.ExecutionAmount = CommonMotions.cnvDouble(wrkRow.Cells[(int)GridColumn.ExecPrice].Value);
+                    //        break;
+                    //}
 
-                    // 金額構成率
-                    work.AmountConfigRate = CommonMotions.cnvDouble(wrkRow.Cells[(int)GridColumn.Percent].Value);
-                    // 支払補填額（経費は支払補填額を書き込まない）
-                    if (work.GroupCount != (int)DataGroup.Expenses) work.PaymentBurden = CommonMotions.cnvDouble(wrkRow.Cells[PaymentBurdenCol].Value);
-                    // 固定フラグ
-                    if (CommonMotions.cnvString(wrkRow.Cells[(int)GridColumn.FixFlg].Value).Equals("*")) work.FixDataFlg = 1;
-                    // 独立データフラグ
-                    work.IndependentFlg = CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.IndependentFlg].Value);
-                    // 増減データフラグ
-                    work.FluctuationFlg = CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.FluctuationFlg].Value);
-                    // 元工事番号
-                    work.SourceCode = CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.SourceCode].Value);
-                    // 工事名称タイトルフラグ
-                    work.JoinTitleFlg = CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.JoinTitleFlg].Value);
-                    // 登録時月額給与
-                    work.SalaryOnRegist = CommonMotions.cnvDouble(wrkRow.Cells[(int)GridColumn.SalaryOnRegist].Value);
-                    // 注文書発行フラグ
-                    work.PurchaseOrderFlg = CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.PurchaseOrderFlg].Value);
+                    //// 金額構成率
+                    //work.AmountConfigRate = CommonMotions.cnvDouble(wrkRow.Cells[(int)GridColumn.Percent].Value);
+                    //// 支払補填額（経費は支払補填額を書き込まない）
+                    //if (work.GroupCount != (int)DataGroup.Expenses) work.PaymentBurden = CommonMotions.cnvDouble(wrkRow.Cells[PaymentBurdenCol].Value);
+                    //// 固定フラグ
+                    //if (CommonMotions.cnvString(wrkRow.Cells[(int)GridColumn.FixFlg].Value).Equals("*")) work.FixDataFlg = 1;
+                    //// 独立データフラグ
+                    //work.IndependentFlg = CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.IndependentFlg].Value);
+                    //// 増減データフラグ
+                    //work.FluctuationFlg = CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.FluctuationFlg].Value);
+                    //// 元工事番号
+                    //work.SourceCode = CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.SourceCode].Value);
+                    //// 工事名称タイトルフラグ
+                    //work.JoinTitleFlg = CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.JoinTitleFlg].Value);
+                    //// 登録時月額給与
+                    //work.SalaryOnRegist = CommonMotions.cnvDouble(wrkRow.Cells[(int)GridColumn.SalaryOnRegist].Value);
+                    //// 注文書発行フラグ
+                    //work.PurchaseOrderFlg = CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.PurchaseOrderFlg].Value);
 
-                    // 工事担当者・指導員行・ 副担当者行の場合は追加データセット
-                    switch (work.GroupCount)
-                    {
-                        case (int)DataGroup.Instructor:     // 9:指導員給料行
-                        case (int)DataGroup.Assistant:      // 10:副担当者給料行
-                        case (int)DataGroup.Payroll:        // 11:担当者給料行
-                            SetPaymentData(wrkRow, ref work);
-                            break;
-                        default:
-                            break;
-                    }
+                    //// 工事担当者・指導員行・ 副担当者行の場合は追加データセット
+                    //switch (work.GroupCount)
+                    //{
+                    //    case (int)DataGroup.Instructor:     // 9:指導員給料行
+                    //    case (int)DataGroup.Assistant:      // 10:副担当者給料行
+                    //    case (int)DataGroup.Payroll:        // 11:担当者給料行
+                    //        SetPaymentData(wrkRow, ref work);
+                    //        break;
+                    //    default:
+                    //        break;
+                    //}
 
-                    // データ登録
-                    if (!DetailDB.InsertAction(work, false))
+                    //// データ登録
+                    //if (!DetailDB.InsertAction(work, false))
+                    //{
+                    //    MessageBox.Show("工事詳細台帳明細データ：追加登録に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    //    return false;
+                    //}
+                } // iRows
+
+                if (InsertSubSQL.Length > 0)
+                {
+                    string InsertSQL = "INSERT ALL";
+                    InsertSQL += InsertSubSQL;
+                    InsertSQL += " SELECT * FROM DUAL";
+                    if (!DetailDB.ExecuteNonQuery(InsertSQL, false))
                     {
                         MessageBox.Show("工事詳細台帳明細データ：追加登録に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
                         return false;
                     }
-                } // iRows
+                }
 
                 return true;
             }
@@ -4234,6 +4250,105 @@
         }
         #endregion
 
+        #region 工事詳細台帳明細登録データ文字列作成
+        /// <summary>
+        /// 工事詳細台帳明細登録データ文字列作成
+        /// </summary>
+        /// <param name="wrkRow"></param>
+        /// <param name="RowLineCnt"></param>
+        /// <param name="strSQL"></param>
+        private void CreateInsertRowData(DataGridViewRow wrkRow, int RowLineCnt, ref string strSQL)
+        {
+            try
+            {
+                int PaymentBurdenCol = dgvAllDisplay.ColumnCount + (int)ColPayTotal.PaymentBurdens;
+                int TotalPoint = dgvAllDisplay.ColumnCount + (int)ColPayTotal.Totals;
+
+                strSQL += " INTO ConstructionLedgerDetail";
+                strSQL += "(";
+                bool bFirst = true;
+                foreach (var gender in Enum.GetValues(typeof(IOConstructionLedgerDetail.DataColumn)))
+                {
+                    if (!bFirst) strSQL += " ,";
+                    strSQL += gender.ToString();
+                    bFirst = false;
+                }
+                strSQL += ") VALUES (";
+                strSQL += string.Format("  {0}", m_ConstructionCode);                                                       // 工事番号
+                int GroupCnt = CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.GroupCount].Value);
+                strSQL += string.Format(", {0}", GroupCnt);                                                                 // グループ番号
+                strSQL += string.Format(", {0}", RowLineCnt);                                                               // 行番号
+                strSQL += string.Format(", {0}", CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.ComponentCode].Value));  // 構成キー
+                strSQL += string.Format(", {0}", CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.ItemCode].Value));		// 工種キー
+                strSQL += string.Format(",'{0}'", CommonMotions.cnvString(wrkRow.Cells[(int)GridColumn.ItemName].Value));   // 項目名称
+                strSQL += string.Format(",'{0}'", CommonMotions.cnvString(wrkRow.Cells[(int)GridColumn.TextName].Value));   // 工事内容
+                strSQL += string.Format(", {0}", CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.CompanyType].Value));    // 協力会社コードタイプ
+                strSQL += string.Format(", {0}", CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.CompanyCode].Value));    // 協力会社コード
+                strSQL += string.Format(",'{0}'", CommonMotions.cnvString(wrkRow.Cells[(int)GridColumn.CompanyName].Value));    // 協力会社名称
+                strSQL += string.Format(", {0}", CommonMotions.cnvDouble(wrkRow.Cells[(int)GridColumn.EstimatePrice].Value));   // 予算（見積）金額
+                // 実行金額
+                switch (GroupCnt)
+                {
+                    // 14:請求金額
+                    case (int)DataGroup.BillingAmount:
+                    // 15:現在利益金額
+                    case (int)DataGroup.CurrentProfit:
+                        strSQL += string.Format(", {0}", CommonMotions.cnvDouble(wrkRow.Cells[TotalPoint].Value));
+                        break;
+                    default:
+                        // 1～12：普通行データ
+                        // 13:合計金額
+                        strSQL += string.Format(", {0}", CommonMotions.cnvDouble(wrkRow.Cells[(int)GridColumn.ExecPrice].Value));
+                        break;
+                }
+
+                // 金額構成率
+                strSQL += string.Format(", {0}", CommonMotions.cnvDouble(wrkRow.Cells[(int)GridColumn.Percent].Value));
+                
+                // 支払補填額
+                if (GroupCnt == (int)DataGroup.Expenses) strSQL += ", 0";
+                else strSQL += string.Format(", {0}", CommonMotions.cnvDouble(wrkRow.Cells[PaymentBurdenCol].Value));
+
+                // 固定データフラグ
+                if (CommonMotions.cnvString(wrkRow.Cells[(int)GridColumn.FixFlg].Value).Equals("*")) strSQL += ", 1";
+                else strSQL += ", 0";
+
+                strSQL += string.Format(", {0}", CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.IndependentFlg].Value)); // 独立データフラグ
+                strSQL += string.Format(", {0}", CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.FluctuationFlg].Value)); // 増減データフラグ
+
+                switch (GroupCnt)
+                {
+                    case (int)DataGroup.Instructor:     // 9:指導員給料行
+                    case (int)DataGroup.Assistant:      // 10:副担当者給料行
+                    case (int)DataGroup.Payroll:        // 11:担当者給料行
+                        strSQL += string.Format(", {0}", CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.SalaryFlg].Value));      // 給与振分区分
+                        strSQL += string.Format(", {0}", CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.SalaryDays].Value));     // 給与振分日数
+                        strSQL += string.Format(", {0}", CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.OperatingFlg].Value));   // 担当中フラグ
+                        break;
+                    default:
+                        strSQL += ", 0";    // 給与振分区分
+                        strSQL += ", 0";    // 給与振分日数
+                        strSQL += ", 0";    // 担当中フラグ
+                        break;
+                }
+
+                strSQL += string.Format(", {0}", CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.SourceCode].Value));             // 元工事番号
+                strSQL += string.Format(", {0}", CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.JoinTitleFlg].Value));           // 工事名称タイトル
+                strSQL += string.Format(", {0}", CommonMotions.cnvDouble(wrkRow.Cells[(int)GridColumn.SalaryOnRegist].Value));      // 登録時月額給与
+                strSQL += string.Format(", {0}", CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.PurchaseOrderFlg].Value));       // 注文書発行フラグ
+
+                strSQL += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                strSQL += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                strSQL = strSQL + ")";
+
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
         #region 工事担当者・指導員行・ 副担当者行のデータセット
         /// <summary>
         /// 工事担当者・指導員行・ 副担当者行のデータセット
@@ -4268,6 +4383,7 @@
                 int PayEnd = dgv.ColumnCount + (int)ColPayTotal.Totals;
                 int RowLineCnt = 0;
 
+                string strInsert = string.Empty;
                 foreach (DataGridViewRow wrkRow in dgv.Rows)
                 {
                     RowLineCnt++;
@@ -4294,37 +4410,52 @@
                         // 支払金額が無い場合は処理しない
                         if (CommonMotions.cnvInt(wrkRow.Cells[i].Value) == 0) continue;
 
-                        // データ定義
-                        ConstructionLedgerExcute work = new ConstructionLedgerExcute();
+                        SetRowToSQL(wrkRow, RowLineCnt, i, ref strInsert);
 
-                        // 工事コード
-                        work.ConstructionCode = m_ConstructionCode;
+                        //// データ定義
+                        //ConstructionLedgerExcute work = new ConstructionLedgerExcute();
 
-                        // グループ番号
-                        work.GroupCount = CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.GroupCount].Value);
+                        //// 工事コード
+                        //work.ConstructionCode = m_ConstructionCode;
 
-                        // 行番号
-                        work.LineCount = RowLineCnt;
+                        //// グループ番号
+                        //work.GroupCount = CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.GroupCount].Value);
 
-                        // 列番号
-                        work.ColumnCount = i;
+                        //// 行番号
+                        //work.LineCount = RowLineCnt;
 
-                        // 支払金額
-                        work.PaymentAmount = CommonMotions.cnvDouble(wrkRow.Cells[i].Value);
+                        //// 列番号
+                        //work.ColumnCount = i;
 
-                        // 対象年月
-                        string strTarget = CommonMotions.cnvString(dgv.Columns[i].HeaderCell.Value).Replace("年", "/").Replace("月", "/") + "01";
-                        work.TargetMonth = CommonMotions.cnvDate(strTarget);
+                        //// 支払金額
+                        //work.PaymentAmount = CommonMotions.cnvDouble(wrkRow.Cells[i].Value);
 
-                        // データ登録
-                        if (!ExcuteDB.InsertAction(work, false))
-                        {
-                            MessageBox.Show("工事詳細台帳実行データ：追加登録に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
-                            return false;
-                        }
+                        //// 対象年月
+                        //string strTarget = CommonMotions.cnvString(dgv.Columns[i].HeaderCell.Value).Replace("年", "/").Replace("月", "/") + "01";
+                        //work.TargetMonth = CommonMotions.cnvDate(strTarget);
+
+                        //// データ登録
+                        //if (!ExcuteDB.InsertAction(work, false))
+                        //{
+                        //    MessageBox.Show("工事詳細台帳実行データ：追加登録に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                        //    return false;
+                        //}
                     }
                 } // iRows
 
+                // データ登録
+                if (strInsert.Length > 0)
+                {
+                    string strSQL = "INSERT ALL";
+                    strSQL += strInsert;
+                    strSQL += " SELECT * FROM DUAL";
+                    if (!ExcuteDB.ExecuteNonQuery(strSQL, false))
+                    {
+                        MessageBox.Show("工事詳細台帳実行データ：追加登録に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                        return false;
+                    }
+                }
+
                 return true;
             }
             catch (System.Exception ex)
@@ -4334,6 +4465,44 @@
             }
         }
         #endregion
+
+        #region 工事詳細台帳支払いデータ更新SQL作成
+        /// <summary>
+        /// 工事詳細台帳支払いデータ更新SQL作成
+        /// </summary>
+        private void SetRowToSQL(DataGridViewRow wrkRow, int RowLineCnt, int ColCnt, ref string strSQL)
+        {
+            try
+            {
+                strSQL += " INTO CONSTRUCTIONLEDGEREXCUTE";
+
+                strSQL += " (";
+                bool bFirst = true;
+                foreach (var gender in Enum.GetValues(typeof(IOConstructionLedgerExcute.TableColumn)))
+                {
+                    if (!bFirst) strSQL += " ,";
+                    strSQL += gender.ToString();
+                    bFirst = false;
+                }
+                strSQL += ") VALUES (";
+                strSQL += string.Format("  {0}", m_ConstructionCode);                                                           // 工事番号
+                strSQL += string.Format(", {0}", CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.GroupCount].Value));         // グループ番号
+                strSQL += string.Format(", {0}", RowLineCnt);                                                                   // 行番号
+                strSQL += string.Format(", {0}", ColCnt);                                                                       // 列番号
+                strSQL += string.Format(", {0}", CommonMotions.cnvDouble(wrkRow.Cells[ColCnt].Value));                          // 支払金額
+                string strTarget = CommonMotions.cnvString(dgvAllDisplay.Columns[ColCnt].HeaderCell.Value).Replace("年", "/").Replace("月", "/") + "01";
+                strSQL += string.Format(", TO_DATE('{0}','YYYY/MM/DD')", CommonMotions.cnvDate(strTarget).ToShortDateString()); // 対象年月
+
+                strSQL += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                strSQL += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                strSQL += ")";
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
         // ---------- データ登録↑↑
 
         #region 画面項目のチェック
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/ProcessControl.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/ProcessControl.cs	(revision 53)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/ProcessControl.cs	(revision 54)
@@ -610,6 +610,7 @@
                 if (m_ConstructionBaseInfo.TyingFlg != (int)CommonDefine.BaseInfoTyingFlg.Standard ||
                     m_ConstructionBaseInfo.JoinFlg != (int)CommonDefine.BaseInfoJoinFlg.Standard)
                 {
+                    frmTying.ParentAdd = true;
                     frmTying.OperationProcess = (int)ClsExcute.ProcessExecuteNo.ConstructionCopyList;
                     frmTying.ConstructionCode = m_ConstructionCode;
                     frmTying.ShowDialog();
